<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - lib/pruebas.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">lib</a> - pruebas.dart<span style="font-size: 80%;"> (source / <a href="pruebas.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2020-12-30 17:04:15</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : // en el archivo pruebas.dart</a>
<a name="2"><span class="lineNum">       2 </span>            : // ya te ayudé con una parte, pero la puedes modificar</a>
<a name="3"><span class="lineNum">       3 </span>            : </a>
<a name="4"><span class="lineNum">       4 </span>            : // crea una clase que se llame Animal con un método</a>
<a name="5"><span class="lineNum">       5 </span>            : // llamada descripción, en el cual regreses la cadena</a>
<a name="6"><span class="lineNum">       6 </span>            : // 'soy un animal'</a>
<a name="7"><span class="lineNum">       7 </span>            : </a>
<a name="8"><span class="lineNum">       8 </span>            : // crea otra clase llamada Perro , que herede de animal</a>
<a name="9"><span class="lineNum">       9 </span>            : // pero que cuando se llame su método descripción  regrese</a>
<a name="10"><span class="lineNum">      10 </span>            : // la cadena 'soy un perro'</a>
<a name="11"><span class="lineNum">      11 </span>            : </a>
<a name="12"><span class="lineNum">      12 </span>            : // crea otra clase llamada Peluche, que tenga un método descripción</a>
<a name="13"><span class="lineNum">      13 </span>            : // que regrese la cadena 'soy un peluche'</a>
<a name="14"><span class="lineNum">      14 </span>            : </a>
<a name="15"><span class="lineNum">      15 </span>            : // crea otra clase llamada Snoopy que implemente Perro y Peluche,</a>
<a name="16"><span class="lineNum">      16 </span>            : // en su método descripción debe regresar 'soy un perro de peluche'</a>
<a name="17"><span class="lineNum">      17 </span>            : </a>
<a name="18"><span class="lineNum">      18 </span>            : // Crea una lista llamada Lista1 y llénala de al menos 5 instancias diferentes.</a>
<a name="19"><span class="lineNum">      19 </span>            : // Lista1 solo debe de poder almacenar Perro,</a>
<a name="20"><span class="lineNum">      20 </span>            : // al menos uno de sus elements debe de ser un Snoopy ,</a>
<a name="21"><span class="lineNum">      21 </span>            : </a>
<a name="22"><span class="lineNum">      22 </span>            : // Crea una lista llamada Lista2 y llénala de al menos 5 instancias diferentes</a>
<a name="23"><span class="lineNum">      23 </span>            : // Lista2 solo debe de admitir Peluche</a>
<a name="24"><span class="lineNum">      24 </span>            : // Al menos uno de los elementos debe de ser un Snoopy</a>
<a name="25"><span class="lineNum">      25 </span>            : </a>
<a name="26"><span class="lineNum">      26 </span>            : // Crea una lista llamada Lista3 y llénala de al menos 5 instancias diferentes</a>
<a name="27"><span class="lineNum">      27 </span>            : // Lista3 debe de admitir Perro, Peluche, Animal</a>
<a name="28"><span class="lineNum">      28 </span>            : // al menos uno de sus elementos debe de ser un Perro</a>
<a name="29"><span class="lineNum">      29 </span>            : // al menos uno de sus elementos debe de ser un Animal</a>
<a name="30"><span class="lineNum">      30 </span>            : // al menos uno de sus elementos debe de ser un Peluche</a>
<a name="31"><span class="lineNum">      31 </span>            : // ninguno de sus elementos debe de ser un Snoopy</a>
<a name="32"><span class="lineNum">      32 </span>            : </a>
<a name="33"><span class="lineNum">      33 </span>            : // en todos los casos en la cadena regresada no incluye los ' '</a>
<a name="34"><span class="lineNum">      34 </span>            : </a>
<a name="35"><span class="lineNum">      35 </span>            : class Animal {</a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          1 :   String descripcion() =&gt; 'soy un animal';</span></a>
<a name="37"><span class="lineNum">      37 </span>            : }</a>
<a name="38"><span class="lineNum">      38 </span>            : </a>
<a name="39"><span class="lineNum">      39 </span>            : class Perro extends Animal {</a>
<a name="40"><span class="lineNum">      40 </span><span class="lineCov">          1 :   @override</span></a>
<a name="41"><span class="lineNum">      41 </span>            :   String descripcion() =&gt; 'soy un perro';</a>
<a name="42"><span class="lineNum">      42 </span>            : }</a>
<a name="43"><span class="lineNum">      43 </span>            : </a>
<a name="44"><span class="lineNum">      44 </span>            : class Peluche {</a>
<a name="45"><span class="lineNum">      45 </span><span class="lineCov">          1 :   String descripcion() =&gt; 'soy un peluche';</span></a>
<a name="46"><span class="lineNum">      46 </span>            : }</a>
<a name="47"><span class="lineNum">      47 </span>            : </a>
<a name="48"><span class="lineNum">      48 </span>            : class Snoopy implements Perro, Peluche {</a>
<a name="49"><span class="lineNum">      49 </span><span class="lineCov">          1 :   @override</span></a>
<a name="50"><span class="lineNum">      50 </span>            :   String descripcion() =&gt; 'soy un perro de peluche';</a>
<a name="51"><span class="lineNum">      51 </span>            : }</a>
<a name="52"><span class="lineNum">      52 </span>            : </a>
<a name="53"><span class="lineNum">      53 </span><span class="lineCov">          3 : List&lt;Animal&gt; Lista1 = [</span></a>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          1 :   Perro(),</span></a>
<a name="55"><span class="lineNum">      55 </span><span class="lineCov">          1 :   Perro(),</span></a>
<a name="56"><span class="lineNum">      56 </span><span class="lineCov">          1 :   Snoopy(),</span></a>
<a name="57"><span class="lineNum">      57 </span><span class="lineCov">          1 :   Perro(),</span></a>
<a name="58"><span class="lineNum">      58 </span><span class="lineCov">          1 :   Perro(),</span></a>
<a name="59"><span class="lineNum">      59 </span>            : ];</a>
<a name="60"><span class="lineNum">      60 </span>            : </a>
<a name="61"><span class="lineNum">      61 </span><span class="lineCov">          3 : List Lista2 = [</span></a>
<a name="62"><span class="lineNum">      62 </span><span class="lineCov">          1 :   Snoopy(),</span></a>
<a name="63"><span class="lineNum">      63 </span><span class="lineCov">          1 :   Peluche(),</span></a>
<a name="64"><span class="lineNum">      64 </span><span class="lineCov">          1 :   Peluche(),</span></a>
<a name="65"><span class="lineNum">      65 </span><span class="lineCov">          1 :   Peluche(),</span></a>
<a name="66"><span class="lineNum">      66 </span><span class="lineCov">          1 :   Peluche(),</span></a>
<a name="67"><span class="lineNum">      67 </span>            : ];</a>
<a name="68"><span class="lineNum">      68 </span>            : </a>
<a name="69"><span class="lineNum">      69 </span><span class="lineCov">          9 : List Lista3 = [Perro(),Animal(),Perro(),Perro(),Perro(),Perro(),];</span></a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
